Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1605856 - python-pylons: FTBFS in Fedora rawhide
Summary: python-pylons: FTBFS in Fedora rawhide
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: python-pylons
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Andrea
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F29FTBFS
TreeView+ depends on / blocked
 
Reported: 2018-07-20 17:18 UTC by Mohan Boddu
Modified: 2019-02-27 08:51 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-27 08:51:59 UTC


Attachments (Terms of Use)
build.log (deleted)
2018-07-20 17:19 UTC, Mohan Boddu
no flags Details
root.log (deleted)
2018-07-20 17:19 UTC, Mohan Boddu
no flags Details
state.log (deleted)
2018-07-20 17:19 UTC, Mohan Boddu
no flags Details

Description Mohan Boddu 2018-07-20 17:18:57 UTC
python-pylons failed to build from source in Fedora rawhide

https://koji.fedoraproject.org/koji/taskinfo?taskID=28223910


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild
Please fix python-pylons at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
python-pylons will be orphaned. Before branching of Fedora 30,
python-pylons will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Mohan Boddu 2018-07-20 17:19:07 UTC
Created attachment 1466669 [details]
build.log

Comment 2 Mohan Boddu 2018-07-20 17:19:12 UTC
Created attachment 1466670 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Mohan Boddu 2018-07-20 17:19:14 UTC
Created attachment 1466671 [details]
state.log

Comment 4 Jan Kurik 2018-08-14 11:03:42 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 5 Miro Hrončok 2018-12-10 16:25:29 UTC
What is the status here? This built in Fedora 21 and never since.

Comment 6 Andrea 2018-12-10 17:05:08 UTC
Hi Miro,
i successfully built it on F28 some times ago and i closed the related ticket

https://bugzilla.redhat.com/show_bug.cgi?id=1556c254

i'm going to try to fix the f29 and rawhide builds
cheers
Andrea

Comment 7 Andrea 2018-12-16 09:34:02 UTC
Hi Miro,
i fixed the build on f29 as well and pushed the new version,

but i have problems on Rawhide as some deps are now missing there

No matching package to install: 'python2-myghty'
No matching package to install: 'python2-turbocheetah'
No matching package to install: 'python2-turbokid'

i have adopted some other deps this year, but i cannot keep doing this for every dependency that is orphaned.

I'm tryng to maintain pylons as one of my component depends on it but my interest is mainly for EPEL6 and EPEL7 ( only until we move to a new framework)

what will happen if we don't include pylons in F30 ? if it will be retired from Rawhide will also be retired from EPEL6 and EPEL7?
thanks
Andrea

Comment 8 Miro Hrončok 2018-12-16 09:54:43 UTC
If you retire on rawhide, it will be retired just on rawhide. It will remain in F29, F28, EPEL7, EPEL6.

I suppose you would also need to retire fts-rest.

Is there any upstream movement towards pyramid?

Comment 9 Andrea 2018-12-16 10:02:44 UTC
ok thanks

fts-rest upstream is me :-) unfortunately the guy supposed to work to move the component to pyramid left..a new person will start only on January to work on this.

Comment 10 Miro Hrončok 2018-12-16 10:05:52 UTC
Well I suppose if you are the upstream, you can always run the thing via a python virtual environment in Fedora.

Comment 11 Andrea 2019-02-27 08:51:59 UTC
i have retired the package from Rawhide and F30


Note You need to log in before you can comment on or make changes to this bug.